const myProductName = "cache-fixer";
const myProductRegKey = "/cache-fixer";
const myProductRegVersion = "2.0";
const myJarFileName = "cachefixer.jar";

var err = initInstall(myProductName, myProductRegKey, myProductRegVersion);
logComment("initInstall: " + err);

var fChrome = getFolder("Program");
setPackageFolder(fChrome);
err = addFile("components/.autoreg");
logComment("addFile() returned: " + err);

fChrome = getFolder("Program", "components");
setPackageFolder(fChrome);
err = addFile("components/cacheFixer.js");
logComment("addFile() returned: " + err);

fChrome = getFolder("Profile", "chrome");
setPackageFolder(fChrome);
err = addFile("chrome/"+myJarFileName);
logComment("addFile() returned: " + err);

logComment("Url is: " + getFolder(fChrome,myJarFileName) + "content/");

regErr = registerChrome(PACKAGE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "content/");
logComment("regChrome (package) returned: " + regErr);

regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/en-US/");
logComment("regChrome (locale) returned: " + regErr);
regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/ru-RU/");
logComment("regChrome (locale) returned: " + regErr);
regErr = registerChrome(LOCALE | PROFILE_CHROME, getFolder(fChrome,myJarFileName), "locale/it-IT/");
logComment("regChrome (locale) returned: " + regErr);

if ((getLastError() == 0) || (getLastError() == -202))
  performInstall(); 
else
  cancelInstall(err);
